From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/gtk-doc/
Date: Sat, 5 Dec 2020 18:49:07 +0000 (UTC) [thread overview]
Message-ID: <1607194090.b3a27f2f8d7212dbb4c2e1628c79b401cc070bc1.mattst88@gentoo> (raw)
commit: b3a27f2f8d7212dbb4c2e1628c79b401cc070bc1
Author: Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 5 17:37:18 2020 +0000
Commit: Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sat Dec 5 18:48:10 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b3a27f2f
dev-util/gtk-doc: Version bump to 1.33.1
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>
dev-util/gtk-doc/Manifest | 1 +
dev-util/gtk-doc/gtk-doc-1.33.1.ebuild | 101 +++++++++++++++++++++++++++++++++
2 files changed, 102 insertions(+)
diff --git a/dev-util/gtk-doc/Manifest b/dev-util/gtk-doc/Manifest
index 483ebed1bbc..79e8dddc85b 100644
--- a/dev-util/gtk-doc/Manifest
+++ b/dev-util/gtk-doc/Manifest
@@ -1 +1,2 @@
DIST gtk-doc-1.32.tar.xz 762000 BLAKE2B e87b0ed5dffd04acc7569171343839a742a874438248546b1b85ca71102d5a546f41b450c5cedf54ecab5b7b6585a4dac36d7600b21b5cce491470a50f82d3b0 SHA512 6d28395968c2951f1685570e5778b5add76d1b9cff8fcb8632b200b3ba251602a1ea59b1def84fc28560988b87fc0dbbc6947af88d268db6ff23e9c28aea3b28
+DIST gtk-doc-1.33.1.tar.xz 768896 BLAKE2B 0d6cc32611618669aac4045942497a404f4d3ed703341cce56efefba439eb8595877297b76085c6a57d3d76710257153040b8f895d6dd6381502e852e6b82e93 SHA512 18620f0164382849980938103a9243abc35ea5a2628258f00e096e16a698b598d0c7fe80a1739fc689217c59a648c728a014bc672a92346c65768ebf89675b90
diff --git a/dev-util/gtk-doc/gtk-doc-1.33.1.ebuild b/dev-util/gtk-doc/gtk-doc-1.33.1.ebuild
new file mode 100644
index 00000000000..1843c7f65e7
--- /dev/null
+++ b/dev-util/gtk-doc/gtk-doc-1.33.1.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit elisp-common gnome.org meson python-single-r1 readme.gentoo-r1
+
+DESCRIPTION="GTK+ Documentation Generator"
+HOMEPAGE="https://wiki.gnome.org/DocumentationProject/GtkDoc"
+
+LICENSE="GPL-2 FDL-1.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x64-solaris"
+
+IUSE="doc emacs test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ >=dev-libs/glib-2.38:2
+ dev-libs/libxslt
+ >=dev-libs/libxml2-2.3.6:2
+ ~app-text/docbook-xml-dtd-4.3
+ app-text/docbook-xsl-stylesheets
+ ~app-text/docbook-sgml-dtd-3.0
+ >=app-text/docbook-dsssl-stylesheets-1.40
+ emacs? ( >=app-editors/emacs-23.1:* )
+ $(python_gen_cond_dep '
+ dev-python/pygments[${PYTHON_MULTI_USEDEP}]
+ ')
+"
+DEPEND="${RDEPEND}
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ ')
+ )
+"
+BDEPEND="
+ ~dev-util/gtk-doc-am-${PV}
+ virtual/pkgconfig
+"
+
+PATCHES=(
+ # Remove global Emacs keybindings, bug #184588
+ "${FILESDIR}"/${PN}-1.8-emacs-keybindings.patch
+)
+
+pkg_setup() {
+ DOC_CONTENTS="gtk-doc does no longer define global key bindings for Emacs.
+ You may set your own key bindings for \"gtk-doc-insert\" and
+ \"gtk-doc-insert-section\" in your ~/.emacs file."
+ SITEFILE=61${PN}-gentoo.el
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ # Requires the unpackaged Python "anytree" module
+ sed -i -e '/mkhtml2/d' "${S}"/tests/meson.build || die
+}
+
+src_configure() {
+ local emesonargs=(
+ $(meson_use test tests)
+ $(meson_use doc yelp_manual)
+ -Dautotools_support=false
+ )
+ meson_src_configure
+}
+
+src_compile() {
+ meson_src_compile
+ use emacs && elisp-compile tools/gtk-doc.el
+}
+
+src_install() {
+ meson_src_install
+
+ python_fix_shebang "${ED}"/usr/bin/gtkdoc-depscan
+
+ if use emacs; then
+ elisp-install ${PN} tools/gtk-doc.el*
+ elisp-site-file-install "${FILESDIR}/${SITEFILE}"
+ readme.gentoo_create_doc
+ fi
+}
+
+pkg_postinst() {
+ if use emacs; then
+ elisp-site-regen
+ readme.gentoo_print_elog
+ fi
+}
+
+pkg_postrm() {
+ use emacs && elisp-site-regen
+}
next reply other threads:[~2020-12-05 18:49 UTC|newest]
Thread overview: 54+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-12-05 18:49 Matt Turner [this message]
-- strict thread matches above, loose matches on Subject: below --
2021-10-27 17:54 [gentoo-commits] repo/gentoo:master commit in: dev-util/gtk-doc/ Arthur Zamarin
2021-06-04 3:12 Matt Turner
2021-05-31 17:43 Sergei Trofimovich
2021-04-18 4:28 Matt Turner
2021-02-18 8:27 Sam James
2021-02-18 7:29 Sam James
2021-02-17 18:42 Sam James
2021-02-17 15:56 Sergei Trofimovich
2021-02-17 14:21 Sam James
2021-02-17 13:54 Sam James
2021-02-17 1:01 Sam James
2021-02-16 19:20 Sam James
2021-02-16 19:17 Sergei Trofimovich
2021-02-14 21:06 Mart Raudsepp
2021-01-06 22:55 Fabian Groffen
2020-12-08 14:12 Matt Turner
2020-12-07 17:32 Matt Turner
2020-12-06 17:52 Matt Turner
2020-12-05 19:07 Matt Turner
2020-12-02 19:06 Sam James
2020-11-14 9:19 Mikle Kolyada
2020-10-11 11:53 Sergei Trofimovich
2020-09-07 18:17 Sam James
2020-09-07 5:50 Sam James
2020-08-29 22:15 Sam James
2020-08-29 19:54 Sam James
2020-08-19 8:31 Sergei Trofimovich
2020-08-16 2:53 Sam James
2020-08-12 15:50 Sam James
2020-07-11 13:34 Mart Raudsepp
2020-07-05 9:27 Sergei Trofimovich
2020-06-07 21:02 Mart Raudsepp
2020-06-03 15:32 Agostino Sarubbo
2020-05-13 17:35 Sergei Trofimovich
2020-04-22 14:25 Agostino Sarubbo
2020-04-22 8:44 Agostino Sarubbo
2020-04-22 8:41 Agostino Sarubbo
2020-01-26 8:41 Rémi Cardona
2019-10-22 6:22 Matt Turner
2019-10-21 19:43 Matt Turner
2018-12-17 18:36 Mart Raudsepp
2018-12-17 18:36 Mart Raudsepp
2018-08-26 6:56 Zac Medico
2018-06-08 11:24 Mikle Kolyada
2018-05-30 9:56 Mart Raudsepp
2017-08-26 10:07 Gilles Dartiguelongue
2016-12-06 20:27 Markus Meier
2016-11-04 9:15 Pacho Ramos
2016-09-07 22:32 Gilles Dartiguelongue
2016-07-30 9:34 Jeroen Roovers
2016-06-08 19:55 Markus Meier
2016-06-07 7:03 Tobias Klausmann
2016-03-24 11:40 Dennis Lamm
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1607194090.b3a27f2f8d7212dbb4c2e1628c79b401cc070bc1.mattst88@gentoo \
--to=mattst88@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox